Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface PrincipalValidator

All Known Implementing Classes:
  PrincipalValidatorImpl

    public interface PrincipalValidator

The `PrincipalValidator` interface defines the methods that custom Principal Validation providers must implement to support principal trust relationships within the context of the Weblogic Server environment. Principal Validation providers are used with Authentication providers to provide additional security protections for the principals contained within the subject.

Method Summary
`Class` | `getPrincipalBaseClass()` Gets the base `Principal` class validated and signed by this Principal Validation provider.
`boolean` | `sign(Principal principal)` Signs the principal to assure trust.
`boolean` | `validate(Principal principal)` Verifies that the principal has not been altered since it was signed.

Method Detail

### validate

    boolean validate(Principal principal)
                     throws SecurityException

  Verifies that the principal has not been altered since it was signed.

  Parameters:
    `principal` - the principal to validate.

  Returns:
    `TRUE` if the principal has been validated, `FALSE` if the principal has not been validated.

  Throws:
    `SecurityException` - if the signature is invalid.

### sign

    boolean sign(Principal principal)

  Signs the principal to assure trust.

  Parameters:
    `principal` - the principal to sign.

  Returns:
    `TRUE` if the principal has been signed, `FALSE` if the principal has not been signed.

### getPrincipalBaseClass

    Class getPrincipalBaseClass()

  Gets the base `Principal` class validated and signed by this Principal Validation provider.

  Returns:
    the base supported `Principal` class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD